//
//  FLHVQRScanCapture.swift
//

import Foundation
import HyperSnapSDK

public class FLHVQRScanCapture{
    
    var hvQRConfig = HVQRConfig()
    
    public func getHVQRConfig() -> HVQRConfig {
        return hvQRConfig
    }
    
    public func createNewQRConfig() {
        hvQRConfig = HVQRConfig();
    }
    
    public func setHVQRConfig(qrConfig: Dictionary<String, Any>) {
        if let shouldShowInstructionPage = (qrConfig[FLHyperSnapConstants.QR_CAPTURE_SHOULD_SHOW_INSTRUCTION_PAGE] as? Bool){
            getHVQRConfig().setShouldShowInstructionsPage(shouldShowInstructionPage)
        }
    }
    
    public func start(context: UIViewController, callback: @escaping ((HVError?,[String: AnyObject]?)->Void)) {
        HVQRViewController.start(context, hvQRConfig: getHVQRConfig(), completionHandler: callback)
    }
}
